package com.ruoyi.asset.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.asset.domain.TbAsset;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

public class TbAssetDTO extends TbAsset {
    private String borrowStatus; // 借用状态 不可借、可借出、已借出
    private String borrowUserName; // 借出用户登录名称
    private String tel; // 联系电话
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date borrowDate; // 借出时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date returnDate; // 归还时间
    private boolean isMeBorrow; // 是否自己借出

    public String getBorrowStatus() {
        return borrowStatus;
    }

    public void setBorrowStatus(String borrowStatus) {
        this.borrowStatus = borrowStatus;
    }

    public String getBorrowUserName() {
        return borrowUserName;
    }

    public void setBorrowUserName(String borrowUserName) {
        this.borrowUserName = borrowUserName;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public Date getBorrowDate() {
        return borrowDate;
    }

    public void setBorrowDate(Date borrowDate) {
        this.borrowDate = borrowDate;
    }

    public Date getReturnDate() {
        return returnDate;
    }

    public void setReturnDate(Date returnDate) {
        this.returnDate = returnDate;
    }

    public boolean isMeBorrow() {
        return isMeBorrow;
    }

    public void setMeBorrow(boolean meBorrow) {
        this.isMeBorrow = meBorrow;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("borrowStatus", getBorrowStatus())
                .append("borrowUserName", getBorrowUserName())
                .append("tel", getTel())
                .append("borrowDate", getBorrowDate())
                .append("returnDate", getReturnDate())
                .append("isMeBorrow", isMeBorrow())
                .toString();
    }
}
